Список изменений начиная с версии 0.9.5.200

-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
1. Возможность отправки монохромных картинок в тексте сообщения.
	>> в окне чата нажмите правую кнопку панели инструментов и выберите файл формата WBMP,
	содержащий картинку. Сообщение с картинкой сразу будет отправлено отдельно от текста
	независимо от того, был текст в поле ответа, или нет...
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
2. Поддержка дополнительных статусов ICQ нового поколения.
	>> Чтобы выбрать дополнительный статус, просто щелкните правой (не левой!) кнопкой
	мыши на кнопку статуса в панели инструментов контакт-листа и выберите требуемый статус.
	Чтобы стереть доп. статус выберите NONE. Выбраный статус при этом отмечается галочкой...
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
3. Возможность синхронизации историй с разных номеров. 
	>> Закройте все окна чата, затем идите в Главное меню > special > history synchronisation.
	В появившемся окне нажмите кнопку "добавить..." и выберите папку с историей контакта
	(обычно это XXXXXXXX/history). Результат импорта будет выведен в текстовое поле этого окна.
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
4. Новые возможности для темописателей.
	>> Добавлены следующие идентификаторы иконок:
	> Главное меню: import.clb / export.clb / request.contact.list / reload.theme.list /
		checked / unchecked / check.invisibility.list / history.sync
	> Окно чата:  typing / pics (кнопка отправки картинок) / theme / copy / select.all /
		auth.grant
	> Контакт-лист: добавлена возможность форматирования шрифта счетчиков групп:
		group.num.font.name / group.num.font.size / group.num.font.color /
		group.num.font.style / group.num.font.charset
	> Доп. статусы: см. в теме по умолчанию в файле statuses.ini
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
5. Изменен интерфейс окна "Поиска по белым страницам"
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
6. Переписан алгоритм загрузки тем.
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
7. Изменен интерфейс окна "Настройки"
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
8. Восстановлена проверка невидимых!
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
9. Переделаны ВСЕ кнопки! Картинки на них полностью темовые.
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
10. При копировании в буфер обмена, сделан русский язык!
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
100. Поправлено несколько мелких багов.


Список изменений версии 0.10.0.201
1. Логин с использованием MD5.
2. Поддержка Fake UIN (для тех, кто знает что это такое).
3. Возможность добавлять себя.
4. Кодовая страница для буфера берёться из системы. Иначе берёться русская!!!

Список изменений версии 0.10.0.202 (R&Q 1001)
1. Поправлена проверка невидимых - вроде должно поддерживаться кол-во проверяемых намного больше.
2. Анимированные смайлы.

Список изменений версии 0.10.0.203 (R&Q 1002)
1. Проверка обновлений через HTTP\HTTPS proxy!

Список изменений версии 0.10.0.204 (R&Q 1004)
1. Added R&Q Player!
2. Hook.dll don't need anymore!!!
3. Win98 not supported for now :(

Список изменений версии 0.10.0.205 (R&Q 1005)
1. Added Interests to UserInfo!

Список изменений версии 0.10.0.206 (R&Q 1006)
1. Added history-sinchronization with Jimm
 (Сначала нужно историю джима сконвертить в формат &RQ,
  а затем делать синхронизацию по старому...)
2. Добавлено показывание в контакт-листе версии клиента
   (отключаемо, так же как и доп. статусы)

Список изменений версии 0.10.0.206 (R&Q 1007)
1. Исправлен глюк с сохранением истории
2. Исправлен глюк с загрузкой языка при запуске через линк
3. В аудиоплеере восстановлены режимы воспроизведения

Список изменений версии 0.10.0.207 (R&Q 1008) 13.09.2005
1. Исправлена ошибка при отправке картинок (были инвертированные цвета)
2. Добавлены балуны
3. Убран плэйер (пока не будет лучше отлажен :) )
4. Поправлена проверка невидимок (чтобы убирались отключившиеся)
5. Поправлено сохрание интересов (несохранялись русифицированные)

Список изменений версии 0.10.0.210 (R&Q 1010) 05.10.2005
1. Восстановлена поддержка Win98/ME
2. Добавлена регистрация новых UIN
3. Исправлена поддержка Unicode
4. Улучшен вид окна настроек.
5. Добавлены доп. статусы (5 стандартных и 2 только R&Q)

Список изменений версии 0.10.0.211 (R&Q 1011) 21.10.2005
1. Добавлена иконка, показывающая сколько дней до дня ДР
  Можно всем ставить ДР вручную!
2. Читаються автосообщения с любых клиентов
3. Для меню смайлов можно задавать кадр из смайла
4. Переход на Bass.dll версии 2.2
5. В синхронизации историй можно синхронизироваться с ICQ Lite5!
  Выбираете папку - и просматриваються все подпапки в поисках историй!
  Можно и из миранды (через плагин History++, который можно взять на офсайте миранды,
  история экспортируется в XML формат, который воспринимается синхронизатором)
6. Объединение онлайновых и оффлайновых контактов в одном списке
7. Установщик
8. Miniguide Rus

Список изменений версии 0.10.0.218 (R&Q 1018) 25.01.2006
1. Долгожданное исправление бага - наконец-то нормально работает скролл в истории
  для счастливых обладателей IBM-ских ноутбуков!
2. Различаються Lite4 и ICQ 5
3. Новый вид поиска в истории
4. Возможность фоновых картинок в окне чата расширена:

  [chat]
  bg1.pic=<Путь к файлу картинки> - верхний левый угол
  bg2.pic=<Путь к файлу картинки> - верхний правый угол
  bg3.pic=<Путь к файлу картинки> - нижний левый угол
  bg4.pic=<Путь к файлу картинки> - нижний правый угол
  bg5.pic=<Путь к файлу картинки> -  размножает картинку в окне чата

все это прописывается в RnQ\themes\имя_темы.theme.ini
5. Значительно ускорен вывод анимированых смайлов
6. Добавлено в темы св-во "smile.menu.cnt" - задаёт высоту меню смайлов!
7. Исправлен поиск по белым страницам
8. Добавлены горячий клавиши для управления плэйером ( с которым теперь вроде не должна глючить история)
9. Исправлено сохранение личной информации
10. Добавлено получение строк доп. статусов (отправка пока не работает)
11. Добавлены балуны для событий

Список изменений версии 0.10.0.219 (R&Q 1019) 04.02.2006
1. Полная работа с доп. статусом.
2. Повышена безопасность - теперь пароль может не храниться вообще нигде.
  И в памяти, и в настройках теперь можно хранить только MD5 хэш от пароля.
  Это не рекомендуеться, правда, забывчивым людям!!! (Пароль нельзя будет восстановить на компьютере!)
3. Добавлена новая горячая клавиша: Bosskey!

Список изменений версии R&Q 1021 06.03.2006
1. Статус NA теперь ставить как при запуске заставки, так и при блокировке компьютера (WinXP+)
2. Исправлен поиск по стране и возрасту
3. Поправлена немного работа с несколькими мониторами
4. Нельзя запустить вторую копию программы с запущенным уже номером.
5. Добавлен новый метод проверки невидимок (выбираеться в настройках)
Список изменений версии R&Q 1023 12.03.2006
6. Добавлено в информации о пользователе строка информации, которая показываеться в подсказке в КЛ.
7. Добавлена возможность получать аватары от людей, у кого пишеться, что у них она есть.
8. При срабатывании антиспама по слову - теперь пишеться по какому слову сработало
Список изменений версии R&Q 1024 20.03.2006
9. Добавлена поддержа Flash-аватар.
10. Опции для аватар (поддержка, автозагрузка Flash, показ в чате)
    Если отключить показ аватар в чате - восстанавливаеться поддержка кривых плагинов!
11. Переделана работа с графическими файлами.
    Переделана тема по умолчанию...
12. Поправлена отрисовка фона в чате - теперь смайлы рисуються с прозрачным фоном.

Список изменений версии R&Q 1026 20.04.2006
13. Добавлена поддержка AIM- ников (можно под ним логиница)
14. Добавлены описания для Доп. Статуса.
15. Добавлено получение открыток от ICQ 2003b & Lite5 (на других не проверено)

Список изменений версии R&Q 1027 20.04.2006
16. При просмотре инфы - теперь можно получить статус того, кто не в контакте (нажать на иконку статуса)
17. выбор адреса сервера ICQ из списка
18. Можно делать в трэе одиночное нажатие
19. Добавлено 2 Статуса: Злой и Депресия.
  Полезность их можно увидеть, если обратить внимание на Flash-аватары...
20. Определяетса версия QiP-а (начиная с 7840)
21. Небольшие добавления в плагинной системе.

R&Q 1031 19.05.2006
1. Аватары работают через прокси.
2. Переведено почти всё (полный перевод прилагаеца)
3. Переделки в некоторых формах (настройки, окно ошибок, выбора контактов, журнала, автосообщений)
4. HistoryLib ver 1.2.0.59

R&Q 1032 22.05.2006
5. Звуки могут играться и без bass.dll, но тогда только .wav и не регулируется громкость
6. В настройах\Чат - новый параметр "Показывать кнопки плагинов в центре чата" - т.е. вид как у Шира ;)
Вид измениться после перезапуска R&Q.

R&Q 1033 26.05.2006
7. переход на bass.dll ver 2.3
8. Поправлена проверка невидимок вторым методом (в принципе она теперь включает в себя первый:) )

R&Q 1034 02.06.2006
9. Добавился параметр %track% в автосообщения, доп статус.
    Подставляется название трэка, который играеться в R&Q проигрывателе

R&Q 1035 от 06.06.2006
10. Для плагинов появилась возможность добавлять в окно чата свои закладки - с произвольным содержимым.
    Пример плагина выложен в исходниках.
11. R&Q Player - исправлено управление извне (MultiPlayer plugin).
12. R&Q Player - Появилась возможность добавления папок (правой кнопкой по +).
13. Поправлена работа горячих клавиш.
14. BossKey теперь прячет программу полностью (исчезает и значёк в системном лотке)

R&Q 1036 от 13.06.2006
15. Аватары работают через прокси
16. Загрузка своей аватары
17. Начальная реализация NTLM (пока без Kerberos)

R&Q 1038 от 29.06.2006
18. Ускорение отображения истории
19. Возможночть отключения автозагрузок аватар
20. Поправлено отображение статуса в окне поиска по белым страницам.
21. Поддержка 32-битовых картинок даже в Win98!!!
22. Полная работа с UTF-8 (отправка и получение)
Теперь можно общаться с ICQ2GO ;)
23. Ограничения для тестовых версий - с выходом новой версии, СТАРЫЕ ПЕРЕСТАЮТ РАБОТАТЬ!!!

R&Q 1039 от 12.07.2006
24. Больший переход на GDI+

R&Q 1040 от 22.08.2006
1. Переделана отрисовка меню.
2. Новоя иконка R&Q.
3. Исправлена отрисовка иконок плагинов.

R&Q 1041 27.08.2006
1. Работает запрет добавления без авторизации.
2. Отрисовка меню возможна двумя способами.
3. Регулируется время показа всплывающих подсказок в трэе (облачка)
4. Изменено хранение аватар в памяти (разницы правда не заметно)

R&Q 1042 01.09.2006
1. Исправлены некоторые глюки с аватарами
2. Не должно быть больше "Информация сохранена" после коннекта
3. По идее, не должны исчезать иконки в меню (непонятно почему исчезали)

R&Q 1043 02.09.2006
1. Поправлено сохранение файлов (возможно не будет ошибок сохранения истории)
2. Исправлено неоткрывание диалога открытия-сохранения файлов в Win98

R&Q 1044 14.09.2006
1. Исправлено чтение файлов => решена проблема автоматической установки своей аватары после запуска.
2. Добавлен список прокси в настройки\Соединение

R&Q 1045 (11-10-2006)

1. Уменьшено потребление системных ресурсов
2. Исправлена отрисовка меню - теперь не перерисовываются Windows окна
3. Кол-во используемых ресурсов зависит теперь от компоновки картинок тем большими картинками
    (чем скомпоновенее - тем лучше)
4. В инфу добавлен адрес локальной привязки и семейное положение
5. Переделана работа с темой
      Для меню добавлено в темы:
[menu]
font.name = 
font.size = 
font.style = 
font.color =
selected.font.name =
selected.font.size =
selected.font.style = 
selected.font.color =

R&Q 1046 21.10.2006
1. Оптимизация потребления ресурсов
2. Добавлена фильтрация в КЛ по UIN, нику, имени, фамилии, мылу и отображаемому имени.
   Открывается/закрывается по Alt+F

R&Q 1047 05.12.2006
1. Поправлено изменение настроек Webware и "Требовать авторизацию"
2. Поддержка в КЛ количество контактов больше 600
3. Много всплывающих подсказок. (Максимальное кол-во регулируется)
4. В всплывающих подсказках можно задать цвет верхушки, и радиус закруглений.
[tip]
caption.color = ...
info.color = ...
radius=15
5. Показ допстатуса везде, вместо основного статуса.
6. Антиспам-бот
7. В темы добавлена картинка "icq6"
8. Не должно быть проблемм, если не установлен flash.ocx
9. Поправлена загрузка большого КЛ с сервера

R&Q 1048 22.12.2006
1. Поправлена загрузка аватар и фоток
2. Сделана автоперенос спрятаных антиспам-ботом сообщений.
3. Добавлены в темы картинки "icq51" и "rambler"
4. Передача в сообщениях любык картинок (до 5.5кб)
5. Показ сообщений доп статуса в истории

R&Q 1049 25.12.2006
1. Поправлена проблемма с мирандой.
2. Поправлено отображение доп. статуса в истории после запроса.
3. Хинты в чате как в КЛ.
4. Перетаскивание закладок в чате
5. Добавлена в темы картинка "macicq"

R&Q 1050
1. Добавлено в настройки "Без обрамления" - чтобы убирать обрамление у КЛ.

R&Q 1051 09.01.2007
1. Поддержка тем в zip
2. Старые тестовые билды теперь смогут запускаться.
   Но они не будут сохранять и отсылать информацию об ошибках.

R&Q 1052
1. Сохранение пересланых картинок

R&Q 1053 18.01.2007
1. Поправлена процедура изменения пароля.
2. Исправлено получение сообщений.

R&Q 1054
Переделан немного парсер пакетов от ICQ

R&Q 1055 21.01.2007
1. На версии R&Q < 1053 и на &RQ должны теперь доходить сообщения (если они не прячут версию) 
2. По умолчанию в всплывающих сообщениях сделан радиус =0
3. Поправлено воспроизведение звуков в темах не в zip

R&Q 1057
1. Поправлена отрисовка (меню, ...) - теперь под Win98 не должно быть утечки ресурсов.

R&Q 1058
1. Изменены во многих местах кнопки, чтобы по ним можно было бегать с клавиатуры.
2. В окне выбора доп статуса двойной клик по иконкам закрывает окно.

R&Q 1059 07.02.2007
1. Поправлена регистрация нового UIN через http прокси.
2. Ограничение на ввод названия доп статуса=100 символов, а текста=255.
3. При скролле в истории с зажатым [Ctrl] - прокручивание будет по линиям.
4. Добавились параметры
   --userpath %path% - чтобы использовать другую папку для хранения данных.
   --logpath %path% - чтобы использовать другую папку для хранения истории пакетов и событий.
   --proxy %proxy% - чтобы делать активным прокси, с названием %proxy%
5. Изменено сохранение настроек прокси. Потеряются старые адреса и порта для прокси.
   Так-же теперь для каждого прокси можно задавать свой сервер ICQ
6. В чате добавлена кнопка "Посылка сообщений простым методом" - чтобы достать до "плохих" ICQ-клиентов

R&Q 1061 22.02.2007
1. Переделана отрисовка менюшек
2. Переделана отрисовка всплывающих сообщений.
3. Начато тестирование выбора позиций  всплывающих сообщений.
4. Поправлено отмыкание кнопок в чате.
5. Поправлена ошибка, приводящая к вылету программы, если прислать мусор вместо картинки.
6. Поправлено  сохранение адресов серверов для разных соединений.

R&Q 1063 02.03.2007
1. Поправлено рисование всплывающих сообщений
2. Поправлена отсылка русских сообщений в AIM

R&Q 1064 05.03.2007
Исправлена проблемма с картинками, появившаяся в 1063.

R&Q 1065 07.03.2007
1. Исправлено помещение всплывающих подсказок в левом-нижнем углу.
2. Поправлена загрузка Flash-аватар
3. Убрана отправка Unicode сообщений в офлайн.
4. Поправлено автоизменение портов в настройках соединения.

R&Q 1066
1. По настройкам теперь легко бегать на клавиатуре
2. Убрано множество потерь памяти.
3. переключение между вкладками в окне чата по "CTRL+число"
4. Контакты, у которых нет флага "I'm visible to", могут быть выровнены
   вместе со статусами тех, у кого этот флаг есть.
5. В начальные статусы добавлены статусы "Злой" и "Депрессия"

R&Q 1067 29.03.2007
1. Шифрованные сообщения. Пока только R&Q-R&Q
   Так-же происходит сжатие больших сообщений, если оно уменьшает объём сообщения.
2. Пробная реализация присоединения КЛ к чату.
3. Поправлен переход по вкладкам при помощи Ctrl + Tab если в чате Flash-аватара.
4. Добавлено отключение автооткрытие чата в настройках.
5. Поправлено проигрывание звуков из тем в zip

R&Q 1068 08.04.2007
1. Переход на Delphi 2007
2. Исправлены многочисленные потери памяти - теперь их почти нет :)
3. В чате добавлены отображения транслита и шифрования.
   Транслит можно включать\выключать нажатием мыши
4. Поправлено уменьшение аватар в чате, и так-же увеличен максимальный
   отображаемый размер до 200x200

R&Q 1069 27.05.2007
1. Новый поиск по белым страницам.
2. 2 новых пункта в настройках безопасности.
3. Показ того, что сообщение точно доставлено или точно не доставлено
4. 4 новых поля в БД контактов. Чтобы показать - правой кнопкой мыши по загаловку.
   Пишем предложения, какие нужны ещё поля там!
5. Похоже найдены причина неработы иногда транслита - и исправлена.
6. Новый формат БД контактов - меньше. Старый только загружается. Обратно не совместимо!
7. Тестируем работу на серверном КЛ!!!
   Для этого у программы появился ключ <--ssi> - включает режим работы с серверным КЛ.
8. Два новых ключа программы:
   --logpath "%Temp%\R&Q" - задаёт папку, куда будут писаться файлы packets.txt и events.txt
   --userpath "%AppData%\R&Q" - задаёт папку, где будут создаватся новые папки юзеров

R&Q 1070 21.06.2007
1. Аватары в КЛ.
2. Переход от andrq.ini к rnq.ini (Возможны проблеммы с некоторыми плагинами)
3. Мелкие исправления серверного КЛ.
4. Ключ --SSI больше не обязателен. Можно менять настройки в "Настройки\ICQ"
   Доступно только в режиме офлайн!
5. Возможность не показывать, что вы невидимы
   (те кто вас видят, будут думать что вы видимы для всех)
6. Если происходят ошибки в программе, то репорт не отправляется автоматически,
    но создаётся файл R&Q.elf - который вы можете отправить на support@rnq.ru
7. Частично решена проблемма с Win98 (Некорректно рисуются некоторые картинки).
    С темой по умолчанию всё отлично работает.

R&Q 1071 09.07.2007
1. Не сообщается об уходе контакта из сети, если он и так не в сети.
2. В настройках добавлен параметр "Показывать разделитель номеров".
3. Поправлено сохранение параметра "Использовать СКЛ".

R&Q 1072
1. В режиме СКЛ поправлено перенесение контакта из одной группы в другую.
2. 2 новых доп. статуса - "В поиске" и "Дневник".
3. Восстановлена автоматическая отправка баг-репорта через почтовик.
4. Поправлена отсылка запроса авторизации.
5. Добавлена временная видимость в режиме с СКЛ.

R&Q 1073 28.08.2007
1. Поправлена работа через proxy с NTLM, когда в имени пишется домен\имя.
2. Прогресс соединения показывается в трэе.
3. Возможность устанавливать несколько ответов на один вопрос антиспам-бота.
   Каждый ответ в новой строке.
4. Поправлена работа параметра --proxy.
5. Поправлена работа со списком игнора.
6. Добавлен новый макрос "Перезагрузить R&Q"
7. Параметр "Статус <Недоступен> в режиме анти-босс"

R&Q 1074 28.10.2007
1. Изменена работа вставки КЛ в чат.
2. Изменена работа со шрифтами в теме.
3. Поправлена отрисовка под Win98/Me - Не должно вылетать с сообщением о нехватке ресурсов.
4. Ускорена работа автоскролла в истории.
5. Возможность вставки цитирования из clipboard, нажав прав кн мыши на кнопку цитирования в чате.
6. На событии изменения статуса рис-ся оба статуса.
7. Персональные темы на контакты и группы.
8. Форма для просмотра SSI - информации, которая хранится на сервере.
9. Для активной закладки добавлен выбор шрифта в темы. "chat.tab.active.font"
10. Анимированные аватары в чате.
11. Поправлена загрузка файлов по HTTP через прокси (Flash аватары и фото).
12. Поиск по всем историям.
    (Правой кнопкой мыши по кнопке поиска в панеле кнопок чата или настроить горячую клавишу)

R&Q 1075 12.12.2007
1. Разделение тем и смайлов.
2. Панель с анимацией для выбора смайлов. (Спасибо Headless-у, т.к. частично код из его плагина :) )
3. Исправлен баг с неработающим скролом, если в истории больше 32000 сообщений. :)
   Пока ограничение на нормальную работу 64000. 
4. Добавлена возможность разделения иконок на кнопки, меню, трэй и остальные.
5. Оптимизирована отрисовка анимированых смайлов.
6. Возможность включения анти-спам бота совместно с режимом невидимости

R&Q 1076 (Релиз 1100).
1. К параметру "chat.tab.active.font" добавился "chat.tab.inactive.font",
   чтобы менять шрифт у неактивных закладок.
2. Редактирование тем в настройках теперь влияет и на смайлы и на темы-на-контакты.

R&Q 1101 07.04.2008
1. Переделана работа с доп. статусами под ICQ6.
   Т.к. прошлая реализация (в ICQ5) отрицательно сказываеца на трафике - она убрана.
   От старых показ-ся только картинка.
2. Исправлено название картинки "st_custom.sleefing" на "st_custom.sleeping".
3. Ускорена загрузка gif файлов (например анимированых смайлов).
4. Ускорена отрисовка истории.
5. Ускорена загрузка файлов истории во много раз!
6. Ограничение работы скрола для событий в истории теперь 2147483648.
7. Добавлена возможность менять шрифт в закладках у контактов.
8. Поправлен баг с 29 февраля.
9. Добавлена картинка "msgserver" - для показа того, что сообщение дошло до сервера.
10. Добавлена возможность использовать звуковые паки.
    Возможность использовать звуки в темах осталась.
11. Добавлена бывшая уже когда-то возможность использовать смайлы в теме.
12. Добавлена возможность записывать отфильтрованые сообщения.
13. Добавлено распознавание Smaper.
14. Настройка "Включение СКЛ" теперь доступна всегда. Если не Лайт версия.
15. Добавлена возможность отключения автоподключения если вошли с другого места.
16. Добавлено запоминание последних неоткрытых событий. (Пока МОЖЕТ ГЛЮЧИТЬ!!!!)
17. Поправлено сохранение\чтение дат в настройках с разными локалями.
18. Добавления спама в историю спамера, если она открыта.
19. Используется теперь bass.dll версии 2.4.
20. Ускорена загрузка jpg файлов (большинство аватар).
21. Можно делать смайл в квадратных скобках (например баян).

R&Q 1102 от 13.04.2008
1. Включена возможность запроса текста старых доп статусов.
2. Поправлена обработка смены старых доп статусов.
3. Поправлен возраст в поиске.
4. Поправлена "информация о незакачиваемых флеш-аватарах".
5. Поправлена работа в Win98.
6. Поправлено появление смайл-панели на неглавных мониторах.
7. В окне выбора доп статусов добавлен подсчет количества символов.

R&Q 1103 14.05.2008
1. Добавлен в темы шрифт для всплывающей информации в КЛ - "roaster.hint.font".
   Так-же цвета: "roaster.hint.border.color" и "roaster.hint.color" - обводка и фон соответственно.
2. Передача файлов.
3. Протокол Mail.ru.

R&Q 1104 02.06.2008
1. Работа со списками видимости\невидимости в MRA, инфо, поиск, отправка смс, аватары.
2. Темы в rar (если в системе доступна библиотека unrar.dll).
3. Переход на db4 (все настройки и листы в одном архиве).
   В дальнейшем он будет шифрованым.
4. Немного поправлена работа ф-и "Вставка КЛ в чат".
5. Немного ускорена загрузка R&Q и истории.
6. В темы для всплывающих сообщений добавлены цвета
    "tip.bg.#.color", "tip.caption.#.color", "tip.info.#.color".
   Где # - событие (название картинки для него).
7. Задание папки приёма файлов по умолчанию в настройках, с шаблонами.
8. Для ссылок в истории добавлен шрифт "history.link.font".
9. Выбор использования старого или нового способа установки доп статуса.
10. Докачка файлов при получении. (При передаче работала сразу).

R&Q 1105 31.07.2008
R&Q 1105 ReEdit 10.08.2008.
1. Возможность добавлять подпись других клиентов. (Не заменяет определение клиента)
2. Поправлено соедиение с сервером, в связи с сообщением о старой версии ICQ.
3. Поправлен автозапрос текста старых доп статусов.
4. Не должна больше появляться ошибка о невозможности сохранить db4.
5. Убрана неработающая регистрация номеров.

R&Q 1106 16.10.2008
1. Всплывающие сообщения можно отключить, поставив максимальное их кол-во равное 0.
2. Добавлен в темы параметр "menu.bar.width" - задающий ширину полосы слева в меню.
3. Добавлена возможность видеть статусы от кипа: Дома, На работе, Ем.
   С картинками:  "status.lunch", "status.home", "status.work",
   а также их невидимые варианты: "invisible.status.lunch", "invisible.status.home",
     "invisible.status.work".
4. Добавлена иконка "qippda" для qip pda.
5. Включение старых доп. статусов перенесено в окно выбора доп. статусов.
6. По Ctrl+A выделение набираемого текста, а не истории (если активно поле набираемого текста).
upd:
7. Поправлена загрузка, если не стоит flash.ocx.
8. Поправлена работа с rar при юникоде.

R&Q 1107
1. Поправлено сохранение истории "0Spamers" после вытаскивания из неё сообщений (для юникодовой).
2. Переделано получение информации о контакте (должно чаще показывать).
3. Сделана возможность изменения порядка иконок в КЛ.
4. Поправлено получение файлов с ICQ6.5.
5. Немного переделано сохранение настроек - не рекомендуется использовать
    учётную запись в старых версиях, т.к. в них будет плохо отображаться русский текст.
   Лучше сделать резеврную копию файла DB4, если захотите вернуться на старую версию.
